$(document).ready(function(){

	function getResized(){
		$('.excel').css('margin-top',$('.toolbar').height()+'px');
	}
	getResized();
	$(window).resize(function(){
		getResized();
	});


	$('#hint').click(function(){
		$('.helpWindow').show();
	});
	$('#closeHelp').click(function(){
		$('.helpWindow').hide();
	})

	var currentEdit = " ";
	var editMode = false;
	var alph = [' ','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z']
	function createTable(x,y){
		for(i=0;i<x;i++){
			$('#tableHead').append('<th class="rowTitle">'+alph[i]+'</th>');
		}
		for(i=1;i<y+1;i++){
			$('#table').append('<tr id="row'+i+'">');
			for(j=0;j<x;j++){
				if(j==0){$('#row'+i).append('<td class="rowTitle">'+i+'</td>');}
				else{$('#row'+i).append('<td id="'+i+alph[j]+'" class="clickable"></td>');}
			}
			$('#table').append('</tr>');
		}
	}
	createTable(27,100);

	function stopEditing(){
		currentCell.html($('.editCell').val());
		currentCell = $('.nothin');
		currentCell.empty();
		editMode = false;
	}

	$(document).on('click','.clickable',function(){
		if(editMode == false){
			editMode = true;
			currentEdit = $(this).html();
			currentCell = $(this);
			$(this).html('<input type="text" value="'+currentEdit+'" class="editCell">');
			$('.editCell').focus();
			$('#table').click(function(e){
				if(!currentCell.is(e.target) && currentCell.has(e.target).length === 0){
					stopEditing();
				}
			});
			$(window).keydown(function(event){
				var x = event.keyCode;
				if(x == 13){
					stopEditing();
				}
			});
			$('#bgColor').change(function(){
				currentCell.css('background',$('#bgColor > option:selected').attr('color'));
				$('.editCell').focus();
			});
			$('#fontColor').change(function(){
				currentCell.css('color',$('#fontColor > option:selected').attr('color'));
				$('.editCell').focus();
			});
			$('#fontStyle').change(function(){
				currentCell.css('font-family',$('#fontStyle > option:selected').attr('font'));
				$('.editCell').focus();
			});
			$('#clear').click(function(){
				currentCell.removeAttr('style');
				currentCell.html('<input type="text" value="" class="editCell">')
				$('.editCell').focus();
			});

			$('#fontPlus').click(function(){
				currentSize = parseInt(currentCell.css('font-size'));
				currentSize ++;
				currentCell.css('font-size',currentSize+'px');
				$('.editCell').focus();
			});
			$('#fontMinus').click(function(){
				currentSize = parseInt(currentCell.css('font-size'));
				currentSize --;
				currentCell.css('font-size',currentSize+'px');
				$('.editCell').focus();
			});

			$('#boldFont').click(function(){
				if(currentCell.css('font-weight') == 'bold'){
					currentCell.css('font-weight','');
				}else{
					currentCell.css('font-weight','bold');
				}
				$('.editCell').focus();
			});
			$('#italicFont').click(function(){
				if(currentCell.css('font-style') == 'italic'){
					currentCell.css('font-style','');
				}else{
					currentCell.css('font-style','italic');
				}
				$('.editCell').focus();
			});
			$('#underlineFont').click(function(){
				if(currentCell.css('text-decoration') == 'underline'){
					currentCell.css('text-decoration','');
				}else{
					currentCell.css('text-decoration','underline');
				}
				$('.editCell').focus();
			});
		}
	});
});